#import "GameSocketEvent.h"

@implementation GameSocketEvent

@synthesize kind, data;

+ (GameSocketEvent*) eventOfKind:(NSString*)kind andData:(id)data {
  return [[self new] initWithKind:kind andData:data];
}

- (GameSocketEvent*) initWithKind:(NSString*)theKind andData:(NSData*)theData {
  if ((self = [super init])) {
    self.kind = theKind;
    self.data = theData;
	}
  return self;
}

@end