#import "GCDAsyncUdpSocket.h"

#import "GameSocketDatagram.h"

@protocol GameSocketSocketDelegate <NSObject>
- (void) didReceiveDatagram:(GameSocketDatagram*)datagram;
@end

@interface GameSocketSocket : NSObject <GCDAsyncUdpSocketDelegate>

@property (nonatomic) uint16_t port;
@property (strong) NSString *serverEndpoint;
@property (assign) uint16_t serverPort;
@property (weak, nonatomic) id <GameSocketSocketDelegate> delegate;

- (BOOL) start;
- (BOOL) stop;
- (void) sendDatagram:(GameSocketDatagram*)datagram;

@end