#import "NSString+UUID.h"

@implementation NSString (UUID)

+ (NSString*) stringWithNewUUID {
  CFUUIDRef uuid = CFUUIDCreate(kCFAllocatorDefault);
  NSString *uuidStr = (__bridge_transfer NSString*)CFUUIDCreateString(kCFAllocatorDefault, uuid);
  CFRelease(uuid);
  return uuidStr;
}
    
@end
